<script>
	import InputWithLabel from '$lib/Components/InputWithLabel.svelte';
	import { allowInputIntString, allowInputInt, allowInputCourseTime } from '$lib/utils';
	import {
		TerminalLogFunc,
		inputWithLabelSectionClass,
		inputWithLabelContainerMainClass
	} from '$lib/stores';

	let course = $state({
		courseCode: '',
		courseTitle: '',
		faculty: '',
		section: null,
		time: '',
		room: '',
		semester: null,
		seats: null,
		students: []
	});

	let dataSearched = $state(false);
	let dataFound = $state(false);
</script>

<main class="flex flex-col gap-6">
	<main class={inputWithLabelContainerMainClass}>
		<InputWithLabel
			label="Course"
			bind:value={course.courseCode}
			placeholder="course"
			type="text"
			oninput={allowInputIntString}
		/>
		<InputWithLabel
			label="Faculty"
			bind:value={course.faculty}
			placeholder="faculty"
			type="text"
			oninput={allowInputIntString}
		/>
		<InputWithLabel
			label="Section"
			bind:value={course.section}
			placeholder="section"
			type="number"
			oninput={allowInputInt}
		/>
		<section class={inputWithLabelSectionClass}>
			<button
				onclick={() => {
					dataSearched = true;
					dataFound = true;
				}}
				class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
			>
				Search
			</button>
		</section>
	</main>

	{#if dataSearched}
		<main class={inputWithLabelContainerMainClass}>
			<InputWithLabel
				label="Title"
				bind:value={course.courseTitle}
				placeholder="title"
				type="text"
				oninput={allowInputIntString}
			/>
			<InputWithLabel
				label="Time"
				bind:value={course.time}
				placeholder="time"
				type="text"
				oninput={allowInputCourseTime}
			/>
			<InputWithLabel
				label="Room"
				bind:value={course.room}
				placeholder="room"
				type="text"
				oninput={allowInputIntString}
			/>
			<InputWithLabel
				label="Semester"
				bind:value={course.semester}
				placeholder="semester"
				type="number"
				oninput={allowInputInt}
			/>
			<InputWithLabel
				label="Seats"
				bind:value={course.seats}
				placeholder="seats"
				type="number"
				oninput={allowInputInt}
			/>
		</main>

		<main class="w-fit mr-auto surface-ios-cont rounded-md p-2.5 flex flex-col gap-2">
			{#if dataFound}
				<span>Data found</span>
				<div class="flex gap-2">
					<section class={inputWithLabelSectionClass}>
						<button
							onclick={() => {
								TerminalLogFunc('Updated');
							}}
							class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
						>
							Update
						</button>
					</section>
					<section class={inputWithLabelSectionClass}>
						<button
							onclick={() => {}}
							class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
						>
							Delete
						</button>
					</section>
				</div>
			{:else}
				<span>Data not found</span>
				<section class={inputWithLabelSectionClass}>
					<button
						onclick={() => {}}
						class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
					>
						Add Data
					</button>
				</section>
			{/if}
		</main>
	{/if}
</main>
